# Programa en Perl para mostrar el modelo
# de deformacin de la lente
#
# Fraga 4/07/2012
#
die "Args: k1 k2\n" if $#ARGV != 1;

$k1 = $ARGV[0];
$k2 = $ARGV[1];

for( $y=-20; $y<=20; $y++ )  {
	$y2 = $y*$y; 
	for( $x=-20; $x<=20; $x++ )  {
		$x2 = $x*$x; 
		$r2 = $x2 + $y2;
		#
		# Si k1 = k2 = 0,  x = x  y  y = y
		#
		$xp = $x + $x*($k1 * $r2 + $k2 * $r2*$r2);
		$yp = $y + $y*($k1 * $r2 + $k2 * $r2*$r2);

		print "$xp $yp\n";
	}
}
